function matlabfromjs4(value)
%matlabfromjs4 load a web gui to print out the result of the magic command

if nargin == 0
    %if no arguments (i.e. the first time) then do not load any data
    meta = '';
else
    %otherwise put it in a meta tag
    meta = value;
end
meta = sprintf('<meta id="valueToPutInPage" content="%s">', meta);

%dynamically generate the html and write it out a temporary file
file = tempname;
fid = fopen(file,'w+');
fprintf(fid,['<html>\n\t<head>\n'...
    '\t\t<title>Calling MATLAB from JavaScript 4</title>\n'...
    '\t%s\n'...
    '\t</head>\n'...
    '\t\t<frameset>\n'...
    '\t\t\t<frame name = "main" src="%s">\n'...
    '\t\t</frameset>\n'...
    '</html>'],meta,['file:///' which('matlabfromjs4.html')]);
%matlabjs4.html is the main web gui
fclose(fid);
%load the page
web(['file:///' file], '-noaddressbox');

